/*
 * IntSet.h
 *
 *  Created on: 01.10.2012
 *      Author: dsinnig
 */

#ifndef INTSET_H_
#define INTSET_H_

#include "Sort.h"

class IntSet: private Sort {
public:
	IntSet(int max);
	virtual ~IntSet();
	void sortAndPrint();
	void addElement(int anElement);
	//override inOrder to make "sort" of class "Sort" sort in descending order
	virtual bool inOrder (int val1, int val2);

private:
	int* elements;
	int max;
	int currentIndex;
};

#endif /* INTSET_H_ */
